Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.activemq.service.impl
Class TransientTopicMessageContainerManager

    java.lang.Object
      org.codehaus.activemq.service.impl.MessageContainerManagerSupport
          org.codehaus.activemq.service.impl.DurableTopicMessageContainerManager
              org.codehaus.activemq.service.impl.TransientTopicMessageContainerManager

All Implemented Interfaces:
  MessageContainerManager, Service

public class TransientTopicMessageContainerManager
extends DurableTopicMessageContainerManager

A default implementation of a Broker of Topic messages for transient consumers

Version:
  $Revision: 1.3 $

Field Summary

Fields inherited from class org.codehaus.activemq.service.impl.DurableTopicMessageContainerManager
`activeSubscriptions, filterFactory, subscriptionContainer`

Fields inherited from class org.codehaus.activemq.service.impl.MessageContainerManagerSupport
`dispatcher, messageContainers`

Constructor Summary
`TransientTopicMessageContainerManager(PersistenceAdapter persistenceAdapter)`
`TransientTopicMessageContainerManager(PersistenceAdapter persistenceAdapter, SubscriptionContainer subscriptionContainer, FilterFactory filterFactory, Dispatcher dispatcher)`

Method Summary
`void` | `addMessageConsumer(BrokerClient client, ConsumerInfo info)`
`void` | `deleteSubscription(java.lang.String clientId, java.lang.String subscriberName)` Delete a durable subscriber
`void` | `removeMessageConsumer(BrokerClient client, ConsumerInfo info)`
`void` | `sendMessage(BrokerClient client, ActiveMQMessage message)`

Methods inherited from class org.codehaus.activemq.service.impl.DurableTopicMessageContainerManager
`acknowledgeMessage, acknowledgeTransactedMessage, commitTransaction, createFilter, doAddMessageConsumer, getContainer, loadAllMessageContainers, poll, recoverSubscriptions, redeliverMessage, rollbackTransaction`

Methods inherited from class org.codehaus.activemq.service.impl.MessageContainerManagerSupport
`start, stop`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TransientTopicMessageContainerManager

    public TransientTopicMessageContainerManager(PersistenceAdapter persistenceAdapter)

### TransientTopicMessageContainerManager

    public TransientTopicMessageContainerManager(PersistenceAdapter persistenceAdapter,
                                                 SubscriptionContainer subscriptionContainer,
                                                 FilterFactory filterFactory,
                                                 Dispatcher dispatcher)

Method Detail

### addMessageConsumer

    public void addMessageConsumer(BrokerClient client,
                                   ConsumerInfo info)
                            throws JMSException

  Specified by:
    `addMessageConsumer` in interface `MessageContainerManager`
  Overrides:
    `addMessageConsumer` in class `DurableTopicMessageContainerManager`
  Parameters:
    `client` -
    `info` -
  Throws:
    `JMSException`

### removeMessageConsumer

    public void removeMessageConsumer(BrokerClient client,
                                      ConsumerInfo info)
                               throws JMSException

  Specified by:
    `removeMessageConsumer` in interface `MessageContainerManager`
  Overrides:
    `removeMessageConsumer` in class `DurableTopicMessageContainerManager`
  Parameters:
    `client` -
    `info` -
  Throws:
    `JMSException`

### sendMessage

    public void sendMessage(BrokerClient client,
                            ActiveMQMessage message)
                     throws JMSException

  Specified by:
    `sendMessage` in interface `MessageContainerManager`
  Overrides:
    `sendMessage` in class `DurableTopicMessageContainerManager`
  Parameters:
    `client` -
    `message` -
  Throws:
    `JMSException`

### deleteSubscription

    public void deleteSubscription(java.lang.String clientId,
                                   java.lang.String subscriberName)
                            throws JMSException

  Delete a durable subscriber

  Specified by:
    `deleteSubscription` in interface `MessageContainerManager`
  Overrides:
    `deleteSubscription` in class `DurableTopicMessageContainerManager`
  Parameters:
    `clientId` -
    `subscriberName` -
  Throws:
    `JMSException` - if the subscriber doesn't exist or is still active

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Protique, Ltd.. All Rights Reserved.